import { ComponentPropsWithoutRef, ReactNode } from 'react';
import { FlattenSimpleInterpolation } from 'styled-components';
import { TextCustomCssProps } from "../../utils/style/textStyle";
export declare const HYPERLINK_VARIANTS: {
    readonly noUnderline: "noUnderline";
    readonly underline: "underline";
    readonly arrow: "arrow";
};
export type HyperlinkVariant = keyof typeof HYPERLINK_VARIANTS;
type HTMLHyperlinkProps = Omit<ComponentPropsWithoutRef<'a'>, 'color'>;
export type HyperlinkProps = {
    children: ReactNode;
} & HyperlinkCustomStyle & HTMLHyperlinkProps;
export type HyperlinkCustomStyle = {
    variant?: HyperlinkVariant;
    customCss?: FlattenSimpleInterpolation;
} & TextCustomCssProps;
export type HocHyperlinkData = {
    href: string;
    label: string;
} & HTMLHyperlinkProps;
export {};
